---
title: mask-position
slug: Web/CSS/mask-position
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Experimental
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>mask-position</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the initial position, relative to the mask position layer set by {{cssxref("mask-origin")}}, for each defined mask image.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
mask-position: top;
mask-position: bottom;
mask-position: left;
mask-position: right;
mask-position: center;

/* &lt;position&gt; values */
mask-position: 25% 75%;
mask-position: 0px 0px;
mask-position: 10% 8em;

/* Multiple values */
mask-position: top right;
mask-position: 1rem 1rem, center;

/* Global values */
mask-position: inherit;
mask-position: initial;
mask-position: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>One or more <code>&lt;position&gt;</code> values, separated by commas.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;position&gt;")}}</dt>
 <dd>One to four values representing a 2D position regarding the edges of the element's box. Relative or absolute offsets can be given. Note that the position can be set outside of the element's box.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_mask_position">Setting mask position</h3>

<h4 id="CSS">CSS</h4>

<pre class="brush: css; highlight[13] notranslate">#wrapper {
  border: 1px solid black;
  width: 250px;
  height: 250px;
}

#masked {
  width: 250px;
  height: 250px;
  background: blue linear-gradient(red, blue);
  mask-image: url(https://mdn.mozillademos.org/files/12676/star.svg);
  mask-repeat: no-repeat;
  mask-position: top right; /* Can be changed in the live sample */
  margin-bottom: 10px;
}
</pre>

<div class="hidden">
<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div id="wrapper"&gt;
  &lt;div id="masked"&gt;
  &lt;/div&gt;
&lt;/div&gt;
&lt;select id="maskPosition"&gt;
  &lt;option value="top"&gt;top&lt;/option&gt;
  &lt;option value="center"&gt;center&lt;/option&gt;
  &lt;option value="bottom"&gt;bottom&lt;/option&gt;
  &lt;option value="top right" selected&gt;top right&lt;/option&gt;
  &lt;option value="center center"&gt;center center&lt;/option&gt;
  &lt;option value="bottom left"&gt;bottom left&lt;/option&gt;
  &lt;option value="10px 20px"&gt;10px 20px&lt;/option&gt;
  &lt;option value="60% 20%"&gt;60% 20%&lt;/option&gt;
&lt;/select&gt;
</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js notranslate">var maskPosition = document.getElementById("maskPosition");
maskPosition.addEventListener("change", function (evt) {
  document.getElementById("masked").style.maskPosition = evt.target.value;
});
</pre>
</div>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_mask_position", 290, 290)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Masks", "#the-mask-position", "mask-position")}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-position")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li><a href="https://css-tricks.com/clipping-masking-css/">Clipping and Masking in CSS</a></li>
</ul>
